tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Konstantin Kolinko <knst.koli...@gmail.com>
Subject [tomcat-maven-plugin] Is it only for Maven 3 and later? (was: svn commit r1367640)
Date Wed, 01 Aug 2012 18:39:39 GMT
2012/7/31  <olamy@apache.org>:
> Author: olamy
> Date: Tue Jul 31 16:01:20 2012
> New Revision: 1367640
>
> URL: http://svn.apache.org/viewvc?rev=1367640&view=rev
> Log:
> [MTOMCAT-157] use new Maven Plugins annotations. done for tomcat6 mojos.
>
> Modified:
>     tomcat/maven-plugin/trunk/pom.xml
>(...)

>        <dependency>
> +        <groupId>org.apache.maven.plugin-tools</groupId>
> +        <artifactId>maven-plugin-annotations</artifactId>
> +        <version>3.1</version>
> +        <scope>compile</scope>
> +      </dependency>

Hi!

Just to confirm:

 is tomcat-maven-plugin currently designed for Apache Maven 3 and later only?


There is a project on Jenkins "TomcatMavenPlugin-mvn2.x" [1] that is
in the failed state for many months (and it nags me with an e-mail
every time it builds).

If maven 2 is not supported, then maybe it is now time to remove this
project from Jenkins?

[1] https://builds.apache.org/job/TomcatMavenPlugin-mvn2.x/

Best regards,
Konstantin Kolinko

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message